Package: groovy.transform

## [Java] Enum AutoCloneStyle

- groovy.transform.AutoCloneStyle

-     public enum AutoCloneStyle
      extends Enum

  Intended style to use for cloning when using the `@`AutoClone annotation.

  Since:
    1.8.0
  See Also:
    AutoClone

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CLONE` | Uses only cloning.
    `COPY_CONSTRUCTOR` | Uses the copy constructor pattern.
    `SERIALIZATION` | Uses serialization to clone.
    `SIMPLE` | Uses the no-arg constructor followed by property/field copying/cloning.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `compareTo, compareTo, describeConstable, equals, getClass, getDeclaringClass, hashCode, name, notify, notifyAll, ordinal, toString, valueOf, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AutoCloneStyle CLONE

      Uses only cloning.

    - #### AutoCloneStyle COPY_CONSTRUCTOR

      Uses the copy constructor pattern.

    - #### AutoCloneStyle SERIALIZATION

      Uses serialization to clone.

    - #### AutoCloneStyle SIMPLE

      Uses the no-arg constructor followed by property/field copying/cloning.